Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class ModelMappedInstrument

    java.lang.Object
      javax.sound.midi.SoundbankResource
          javax.sound.midi.Instrument
              com.sun.media.sound.ModelInstrument
                  com.sun.media.sound.ModelMappedInstrument

    public class ModelMappedInstrument

extends ModelInstrument

This class is used to map instrument to another patch.

Author:
  Karl Helgason

Constructor Summary
`ModelMappedInstrument(ModelInstrument ins, javax.sound.midi.Patch patch)`

Method Summary
`ModelChannelMixer` | `getChannelMixer(javax.sound.midi.MidiChannel channel, javax.sound.sampled.AudioFormat format)`
`java.lang.Object` | `getData()`
`ModelDirector` | `getDirector(ModelPerformer[] performers, javax.sound.midi.MidiChannel channel, ModelDirectedPlayer player)`
`ModelPerformer[]` | `getPerformers()`

Methods inherited from class com.sun.media.sound.ModelInstrument
`getChannels, getKeys, getPatchAlias`

Methods inherited from class javax.sound.midi.Instrument
`getPatch`

Methods inherited from class javax.sound.midi.SoundbankResource
`getDataClass, getName, getSoundbank`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelMappedInstrument

    public ModelMappedInstrument(ModelInstrument ins,
                                 javax.sound.midi.Patch patch)

Method Detail

### getData

    public java.lang.Object getData()

  Specified by:
    `getData` in class `javax.sound.midi.SoundbankResource`

### getPerformers

    public ModelPerformer[] getPerformers()

  Overrides:
    `getPerformers` in class `ModelInstrument`

### getDirector

    public ModelDirector getDirector(ModelPerformer[] performers,
                                     javax.sound.midi.MidiChannel channel,
                                     ModelDirectedPlayer player)

  Overrides:
    `getDirector` in class `ModelInstrument`

### getChannelMixer

    public ModelChannelMixer getChannelMixer(javax.sound.midi.MidiChannel channel,
                                             javax.sound.sampled.AudioFormat format)

  Overrides:
    `getChannelMixer` in class `ModelInstrument`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD